## python-incomfort-client 0.6.3.1

=== requirements.txt ===
aiohttp>=3.8.1
aioresponses>=0.7.6

=== debian/changelog ===
python-incomfort-client (0.6.3.1-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Oct 2024 12:21:43 +0200

python-incomfort-client (0.6.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1082950)

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2024 23:10:43 +0200

=== debian/control ===
Source: python-incomfort-client
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aioresponses,
 python3-isort,
 python3-pytest,
 python3-pytest-aiohttp,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-freezer,
 python3-pytest-socket,
 python3-pytest-sugar,
 python3-pytest-timeout,
 python3-pytest-xdist,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-incomfort-client
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-incomfort-client.git
Homepage: https://github.com/jbouwh/incomfort-client

Package: python3-incomfort-client
Architecture: all
Depends:
 python3-aiohttp,
 python3-aioresponses,
 ${misc:Depends},
 ${python3:Depends},
Description: client for Intergas InComfort/InTouch Lan2RF systems
 This package provides an aiohttp-based client for Intergas InComfort/InTouch
 Lan2RF systems.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/jbouwh/incomfort-client.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v tests

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/jbouwh/incomfort-client refs/tags/(\d[brc\d\.]+)
